[Overview][Resource strings][Classes][Index] | Reference for unit 'stringtableresource' (#fcl-res)

# EStringTableIndexOutOfBoundsException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The ID of the string is out of range

## Declaration

Source position: stringtableresource.pp line 28

`type EStringTableIndexOutOfBoundsException = class(EStringTableResourceException)`

## Inheritance

`EStringTableIndexOutOfBoundsException` |  | The ID of the string is out of range
`EStringTableResourceException` |  | Base class for string table resource-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when the id specified to access a string of TStringTableResource.Strings property is not in the range TStringTableResource.FirstID - TStringTableResource.LastID.

## See also

TStringTableResource |  | String table resource type
TStringTableResource.Strings |  | Indexed array of strings in the string table
TStringTableResource.FirstID |  | The ID of first the string contained in the string table
TStringTableResource.LastID |  | The ID of the last string contained in the string table